Package org.eclipse.jdt.core.search

## Interface IParallelizable

    public interface IParallelizable

This interface can be used by `IJavaSearchScope`, `JavaSearchParticipant` and `SearchPattern` to mark implementors as eligible for parallel index search.

Since:
  3.25

### Method Summary

All Methods Static Methods Instance Methods Abstract Methods Default Methods
`default void` `initBeforeSearch​(IProgressMonitor monitor)` Initialize all needed data before search is started
`boolean` `isParallelSearchSupported()` Answers `true` if the current instance supports parallel index search
`static boolean` `isParallelSearchSupported​(Object o)` Checks if the given object implements this interface and also returns `true` for `isParallelSearchSupported()`.

### Method Detail

#### isParallelSearchSupported

    boolean isParallelSearchSupported()

Answers `true` if the current instance supports parallel index search

Returns:
  Returns `true` if the implementation is safe to be used in a parallel search.

#### initBeforeSearch

    default void initBeforeSearch​(IProgressMonitor monitor)
                           throws JavaModelException

Initialize all needed data before search is started

Parameters:
  `monitor` - non null progress callback
Throws:
  `JavaModelException`

#### isParallelSearchSupported

    static boolean isParallelSearchSupported​(Object o)

Checks if the given object implements this interface and also returns `true` for `isParallelSearchSupported()`.

Parameters:
  `o` - The object that needs to be checked. `null` value will result in returning `false`.
Returns:
  `true` if the given object can be used in parallel search.